package com.yeejoin.equipmanage.common.vo;
/**
 * <pre>
 * 
 * </pre>
 *
 */
public class ScanEquipEdditionalInfo extends ScanEquipmentBasicInfo {

	private static final long serialVersionUID = 7814064836478905599L;

	/**
	 * 库存总数
	 */
	private Double count = 1d;
	
	/**
	 * 是否车载装备
	 */
	private boolean isCarLoad = false;
	
	/**
	 * 所属车辆id
	 */
	private Long carId;
	
	/**
	 * 车牌号
	 */
	private String carNum;
	
	/**
	 * 库存明细账id
	 */
	private Long stockDetailId;
	
	/**
	 * 性能指标（非核心） 
	 */
	private String perfQuota;
	
	/**
	 * 视频缩略图
	 */
	private String thumbnail = "https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1496910859650&di=0b4ca98a328368fbf34013343b6b35f7&imgtype=0&src=http%3A%2F%2Fi1.muzisoft.com%2Fuploads%2Fhct%2F20160725%2Fhdj0zvbjw3dhdj0zvbjw3d.png";
	
	/**
	 * 货位名称
	 */
	private String goodsAllocationCode;
	
	/**
	 * 货位id
	 */
	private Long shelfCellId;
	
	/**
	 * 该类装备总数
	 */
	private Double total;
	
	/**
	 * 装备状态
	 */
	private String status;
	
	/**
	 * 所属单位（车辆）
	 */
	private String carCompany;
	
	/**
	 * 车辆类型
	 */
	private String carType;
	
	/**
	 * 仓库名称
	 */
	private String warehouseName;

	public Double getCount() {
		return count;
	}

	public void setCount(Double count) {
		this.count = count;
	}

	public boolean getIsCarLoad() {
		return isCarLoad;
	}

	public void setIsCarLoad(boolean isCarLoad) {
		this.isCarLoad = isCarLoad;
	}

	public Long getCarId() {
		return carId;
	}

	public void setCarId(Long carId) {
		this.carId = carId;
	}

	public String getCarNum() {
		return carNum;
	}

	public void setCarNum(String carNum) {
		this.carNum = carNum;
	}

	public Long getStockDetailId() {
		return stockDetailId;
	}

	public void setStockDetailId(Long stockDetailId) {
		this.stockDetailId = stockDetailId;
	}

	public String getPerfQuota() {
		return perfQuota;
	}

	public void setPerfQuota(String perfQuota) {
		this.perfQuota = perfQuota;
	}

	public String getThumbnail() {
		return thumbnail;
	}

	public void setThumbnail(String thumbnail) {
		this.thumbnail = thumbnail;
	}

	public String getGoodsAllocationCode() {
		return goodsAllocationCode;
	}

	public void setGoodsAllocationCode(String goodsAllocationCode) {
		this.goodsAllocationCode = goodsAllocationCode;
	}

	public Long getShelfCellId() {
		return shelfCellId;
	}

	public void setShelfCellId(Long shelfCellId) {
		this.shelfCellId = shelfCellId;
	}
	
	public Double getTotal() {
		return total;
	}

	public void setTotal(Double total) {
		this.total = total;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public ScanEquipEdditionalInfo merge(ScanEquipmentBasicInfo info) {
		this.equipCate = info.getEquipCate();
		this.equipmentCode = info.getEquipmentCode();
		this.equipmentDetailId = info.getEquipmentDetailId();
		this.equipmentId = info.getEquipmentId();
		this.equipName = info.getEquipName();
		this.equProperties = info.getEquProperties();
		this.film = info.getFilm();
		this.img = info.getImg();
		this.maintenanceCycle = info.getMaintenanceCycle();
		this.qrCode = info.getQrCode();
		this.unit = info.getUnit();
		this.equipCategoryCode = info.getEquipCategoryCode();
		this.manufacturer = info.getManufacturer();
		this.brand = info.getBrand();
		this.contractCode = info.getContractCode();
		this.dateProduced = info.getDateProduced();
		this.standard = info.getStandard();
		this.supplier = info.getSupplier();
		this.perfQuota = info.getPerfQuota();
		this.singleOrDouble=info.isSingleOrDouble();
		super.setDescription(info.getDescription());
		return this;
	}

	public String getCarCompany() {
		return carCompany;
	}

	public void setCarCompany(String carCompany) {
		this.carCompany = carCompany;
	}

	public String getCarType() {
		return carType;
	}

	public void setCarType(String carType) {
		this.carType = carType;
	}
}
